import time
from .data import Message
from . import gui
from .data import log
from io import TextIOWrapper


def read_log(logfile: str, app: gui.Gui) -> None:
    try:
        with open(logfile, 'r', encoding='utf8') as file:
            loglines = follow(file)
            for line in loglines:
                message = Message.from_text(line)
                log.debug(message)
                if message and message.trade and message.to_from == 'From':
                    log.debug(message.trade)
                    app.add_tab(30, message)
    except IOError:
        log.error(f'Error opening log file {logfile}.')


def follow(thefile: TextIOWrapper):
    thefile.seek(0, 2)
    while True:
        line = thefile.readline()
        if not line:
            time.sleep(0.1)
            continue
        yield line
